#
# Conditional build:
%bcond_with	apidocs		# API documentation
%bcond_with	tests		# perform "make check"
%bcond_without	static_libs	# static library
%bcond_without	udev		# udev for device enumeration and hotplug support

Summary:	Application access to USB devices
Summary(es.UTF-8):	libusb - Biblioteca USB
Summary(pl.UTF-8):	Dostęp z poziomu aplikacji do urządzeń USB
Summary(pt_BR.UTF-8):	libusb - Biblioteca para acesso a devices USB
Name:		libusb
Version:	1.0.28
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/libusb/libusb/releases
Source0:	https://github.com/libusb/libusb/releases/download/v%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	4022135a84975b292cf48381fbc8ffd8
URL:		https://libusb.info/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1.6
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	gcc >= 6:4.9
BuildRequires:	glibc-devel >= 6:2.9
BuildRequires:	libtool >= 2:2
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
%{?with_udev:BuildRequires:	udev-devel}
Obsoletes:	libusb0.1
Obsoletes:	libusbx < 1.0.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a library for application access to USB devices.

%description -l es.UTF-8
Biblioteca de uso en devices USB.

%description -l pl.UTF-8
Biblioteka umożliwiająca dostęp do urządzeń USB z poziomu aplikacji.

%description -l pt_BR.UTF-8
Biblioteca para acesso em devices USB.

%package devel
Summary:	Header files for libusb library
Summary(es.UTF-8):	Archivos de desarrollo de libusb
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libusb
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento da libusb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_udev:Requires:	udev-devel}
Obsoletes:	libusb0.1-devel
Obsoletes:	libusbx-devel < 1.0.18

%description devel
This package contains header files and other resources you can use to
incorporate libusb into applications.

%description devel -l es.UTF-8
Bibliotecas de desarrolo para linusb.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja pozwalająca na dodawanie obsługi
USB w swoich programach.

%description devel -l pt_BR.UTF-8
Bibliotecas de desenvolvimento para libusb.

%package static
Summary:	libusb static libraries
Summary(es.UTF-8):	Archivos de desarrollo de libusb - estatico
Summary(pl.UTF-8):	Statyczne biblioteki do obsługi USB
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento da libusb - biblioteca estática
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libusbx-static < 1.0.18

%description static
This is package with static libusb libraries.

%description static -l es.UTF-8
Bibliotecas de desarrolo para linusb - estatico.

%description static -l pl.UTF-8
Statyczne biblioteki libusb.

%description static -l pt_BR.UTF-8
Bibliotecas de desenvolvimento para libusb - estático.

%package apidocs
Summary:	API documentation for libusb library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libusb
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libusb library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libusb.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	%{!?with_udev:--disable-udev}

%{__make}

%{?with_apidocs:%{__make} -C doc docs}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libusb-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libusb-1.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libusb-1.0.so
%{_libdir}/libusb-1.0.la
%{_includedir}/libusb-1.0
%{_pkgconfigdir}/libusb-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libusb-1.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/api-1.0/*.{css,html,js,png}
%endif
%changelog
* Wed Apr 16 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libusb.git;a=log;h=master

* Wed Mar 19 2025 Jan Palus <atler@pld-linux.org> 76a5320
- up to 1.0.28

* Thu Feb 01 2024 Jan Palus <atler@pld-linux.org> 378e5ec
- up to 1.0.27

* Sun Apr 10 2022 Jan Palus <atler@pld-linux.org> 215db7a
- up to 1.0.26

* Mon Jan 31 2022 Jan Palus <atler@pld-linux.org> f6a980d
- rpm version for noarch subpackage

* Mon Jan 31 2022 Jan Palus <atler@pld-linux.org> d04891a
- up to 1.0.25

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 3c6b8f8
- unconditional noarch subpackages

* Fri Dec 25 2020 Jan Palus <atler@pld-linux.org> b712988
- fix build without apidocs

* Mon Dec 21 2020 Jakub Bogusz <qboosh@pld-linux.org> c3db903
- updated apidocs build process, moved to -apidocs subpackage

* Sun Dec 20 2020 Jan Palus <atler@pld-linux.org> 89acf9a
- up to 1.0.24

* Wed May 06 2020 Jan Palus <atler@pld-linux.org> a98a149
- fix build without static libs

* Fri Sep 13 2019 Jakub Bogusz <qboosh@pld-linux.org> b8fbf58
- updated to 1.0.23

* Sun May 20 2018 Jakub Bogusz <qboosh@pld-linux.org> e45b462
- updated to 1.0.22

* Sat Jan 14 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5de234b
- Update to 1.0.21

* Tue Sep 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 0fc9266
- updated to 1.0.20

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 8c203e7
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 74434a2
- updated to 1.0.19

* Sat Feb 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 4453ad9
- merged changes from libusbx.spec; Obsoletes: libusbx-*

* Sat Feb 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d610529
- up to 1.0.18 (libusbx project took over maintanership)

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 3e42a6b
- cleanup

* Sun Sep 23 2012 Jacek Konieczny <jajcus@jajcus.net> eb1d798
- Version: 1.0.9

